org.eclnt.jsfserver.util

## Class SecurityFilter

- java.lang.Object
- - org.eclnt.jsfserver.util.CCFilterBase
  - - org.eclnt.jsfserver.util.SecurityFilter

- All Implemented Interfaces:
    ICCServerConstants

      public class SecurityFilter
      extends CCFilterBase
      implements ICCServerConstants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SecurityFilter.IExtension`

  - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
    `static java.lang.String` | `getCurrentCCSessionId(HttpSession session)`
    `void` | `init(FilterConfig arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityFilter

          public SecurityFilter()

  - ### Method Detail

    - #### init

          public void init(FilterConfig arg0)
                    throws ServletException

      Overrides:
        `init` in class `CCFilterBase`
      Throws:
        `ServletException`

    - #### doFilter

          public void doFilter(ServletRequest request,
                               ServletResponse response,
                               FilterChain chain)
                        throws java.io.IOException,
                               ServletException

      Throws:
        `java.io.IOException`
        `ServletException`

    - #### getCurrentCCSessionId

          public static java.lang.String getCurrentCCSessionId(HttpSession session)

    - #### destroy

          public void destroy()

Copyright © CaptainCasa Gmbh. All Rights Reserved.